# -*- coding: utf-8 -*-
# Generated by Django 1.9.1 on 2016-01-22 15:52
from __future__ import unicode_literals

import datetime
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Author',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=30)),
                ('middle_name', models.CharField(max_length=30)),
                ('last_name', models.CharField(max_length=30)),
                ('email', models.EmailField(max_length=254)),
            ],
        ),
        migrations.CreateModel(
            name='Book',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=500)),
                ('pub_date', models.DateField(default=datetime.datetime.now, verbose_name='date published')),
                ('journal_title', models.CharField(max_length=500)),
                ('page_range', models.CommaSeparatedIntegerField(default=' , ', max_length=10)),
                ('volume', models.IntegerField()),
                ('issue', models.IntegerField()),
                ('publisher', models.CharField(max_length=500)),
                ('publisher_location', models.CharField(max_length=200)),
                ('conference_name', models.CharField(max_length=500)),
                ('conference_location', models.CharField(max_length=300)),
                ('conference_date', models.DateField(default=datetime.datetime.now, verbose_name='conference date')),
                ('pdf_file', models.FileField(upload_to='files', verbose_name='file')),
                ('authors', models.ManyToManyField(to='publications.Author')),
            ],
            options={
                'ordering': ('title',),
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ConferenceProceeding',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=500)),
                ('pub_date', models.DateField(default=datetime.datetime.now, verbose_name='date published')),
                ('journal_title', models.CharField(max_length=500)),
                ('page_range', models.CommaSeparatedIntegerField(default=' , ', max_length=10)),
                ('volume', models.IntegerField()),
                ('issue', models.IntegerField()),
                ('publisher', models.CharField(max_length=500)),
                ('publisher_location', models.CharField(max_length=200)),
                ('conference_name', models.CharField(max_length=500)),
                ('conference_location', models.CharField(max_length=300)),
                ('conference_date', models.DateField(default=datetime.datetime.now, verbose_name='conference date')),
                ('pdf_file', models.FileField(upload_to='files', verbose_name='file')),
                ('authors', models.ManyToManyField(to='publications.Author')),
            ],
            options={
                'ordering': ('title',),
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='JournalArticle',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=500)),
                ('pub_date', models.DateField(default=datetime.datetime.now, verbose_name='date published')),
                ('journal_title', models.CharField(max_length=500)),
                ('page_range', models.CommaSeparatedIntegerField(default=' , ', max_length=10)),
                ('volume', models.IntegerField()),
                ('issue', models.IntegerField()),
                ('publisher', models.CharField(max_length=500)),
                ('publisher_location', models.CharField(max_length=200)),
                ('conference_name', models.CharField(max_length=500)),
                ('conference_location', models.CharField(max_length=300)),
                ('conference_date', models.DateField(default=datetime.datetime.now, verbose_name='conference date')),
                ('pdf_file', models.FileField(upload_to='files', verbose_name='file')),
                ('authors', models.ManyToManyField(to='publications.Author')),
            ],
            options={
                'ordering': ('title',),
                'abstract': False,
            },
        ),
    ]
